Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-12-2020 22:51:54

chtr
Membre
Distrib. : Buster
Noyau : 3.2.0-4amd64
(G)UI : LXDE
Inscription : 30-06-2012
Site Web

[RESOLU] Epson EcoTank ET-14000

Bonjour à toutes et tous,

J'aimerais savoir si quelqu'un utilise cette imprimante:
https://www.epson.fr/products/printers/ … k-et-14000
Et surtout si vous n'avez pas eu de problème de compatibilité pour qu'elle
fonctionne correctement avec Linux. Vu le prix je ne voudrai pas me retrouver
en galère pour la faire fonctionner. Elle est destinée à fonctionner sur deux
ordinateurs, le mien avec Débian Buster et un autre équipé de Mint (dernière
version).

Peut-être avez-vous des suggestions à me faire en matière d'imprimante A3
ou A3+ (compatible Linux). Elle sera utilisé quasi uniquement avec le noir
sur des typons (genre plastique des vieux rétroprojecteur).

Merci à vous.
Salutation
chris

Dernière modification par chtr (11-12-2020 17:14:03)


Ma patrie c'est le monde, ma famille c'est l'humanité.

Hors ligne

#2 10-12-2020 00:04:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RESOLU] Epson EcoTank ET-14000

Bonsoir,

chtr a écrit :

Epson EcoTank ET-14000


Sauf erreur, ce modèle ne sera pas pris en charge nativement (par les pilotes escpr ou gutenprint).

#installer task-print-server, voir le retour de
/usr/sbin/lpinfo --make-and-model "et-14000" -m


Mais : un pilote ESC/P libre (LGPL-2.1) est mis à disposition par Epson via download.ebz.epson.net.

edit: le paquet epson-inkjet-printer-201311w dépend de lsb (>= 3.2), le reconstruire sera propre :

dpkg-deb --raw-extract epson-inkjet-printer-201311w_1.0.1-1lsb3.2_amd64.deb epson

sed -i "s,lsb (>= 3.2),libjpeg62|libjpeg62-turbo," epson/DEBIAN/control

dpkg-deb --build epson epson-inkjet-printer-201311w_1.0.1-1lsb3.2~fixed_amd64.deb


Idem pour epson-printer-utility. L'installation se fera sans souci. Les paquets lsb sont déjà installés.

Note que cette manip ne sera pas nécessaire pour Linux Mint 20 (le métapaquet lsb est disponible).

Dernière modification par èfpé (17-03-2021 16:04:42)

Hors ligne

#3 10-12-2020 01:19:31

chtr
Membre
Distrib. : Buster
Noyau : 3.2.0-4amd64
(G)UI : LXDE
Inscription : 30-06-2012
Site Web

Re : [RESOLU] Epson EcoTank ET-14000

Bonjour èfpé,

Merci pour ton aide, mais je ne comprends pas la ligne de commande
et du coup... le retour.

Salutation
chris

Ma patrie c'est le monde, ma famille c'est l'humanité.

Hors ligne

#4 10-12-2020 01:46:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RESOLU] Epson EcoTank ET-14000

Bon{soir,ne nuit,jour},

chtr a écrit :

je ne comprends pas la ligne de commande et du coup... le retour.


Oups, ma faute... le but est de savoir, avant d'acheter, si le modèle sera pris en charge nativement :

/usr/sbin/lpinfo --make-and-model "et-14000" -m

lpinfo: client-error-not-found


Montre que ce modèle ne le sera pas, essaie avec et-16500, pour voir (il y a un exemple sur le wiki).

/usr/sbin/lpinfo --make-and-model "et-14000" -m

lsb/usr/epson-inkjet-printer-201311w/Epson/Epson-ET-14000_Series-epson-driver.ppd.gz
 Epson ET-14000 Series - epson-inkjet-printer 1.0.1-1lsb3.2 (Seiko Epson Corporation
 LSB 3.2)
everywhere IPP Everywhere


Voilà le retour attendu après installation du paquet epson-inkjet-printer-201311w fourni par Epson.

Dernière modification par èfpé (11-12-2020 20:46:42)

Hors ligne

#5 10-12-2020 19:53:27

chtr
Membre
Distrib. : Buster
Noyau : 3.2.0-4amd64
(G)UI : LXDE
Inscription : 30-06-2012
Site Web

Re : [RESOLU] Epson EcoTank ET-14000

Bonjour à vous, bonjour èfpé,

Merci bien, en effet sur mon ordi Débian la réponse est

lpinfo: client-error-not-found



Si j'ai bien compris scratchhead.gif dans l'hypothèse ou la réponse soit la même avec Mint
il me faudra télécharger le pilote et entrée les lignes de commande que tu préconise.

Encore merci.
Salutation
chris


Ma patrie c'est le monde, ma famille c'est l'humanité.

Hors ligne

#6 11-12-2020 11:28:12

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [RESOLU] Epson EcoTank ET-14000

Hello

èfpé a écrit :

Note que cette manip ne sera pas nécessaire pour Linux Mint 20 (le métapaquet lsb est disponible).


Donc non pour toi pas besoin de reconstruire le paquet car il est dans les dépots Mint
tu pourras l'installer directement

apt install lsb


apres il faudra installer les paquets proposé par Epson


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#7 11-12-2020 17:16:13

chtr
Membre
Distrib. : Buster
Noyau : 3.2.0-4amd64
(G)UI : LXDE
Inscription : 30-06-2012
Site Web

Re : [RESOLU] Epson EcoTank ET-14000

Bonjour à toutes et tous,

Ok, donc reconstruction que pour Débian.
Je vais donc commandé cette imprimante.

Merci à vous.
chris

Ma patrie c'est le monde, ma famille c'est l'humanité.

Hors ligne

#8 11-12-2020 20:04:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RESOLU] Epson EcoTank ET-14000

Bonsoir,

Croutons a écrit :

Donc non pour toi pas besoin de reconstruire le paquet car il est dans les dépôts Mint.


Tout cela est très confus. De plus, le métapaquet lsb vient du dépôt Ubuntu... et pour l'installation :

apt install /chemin/absoluourelatif/epson-*.deb


Suffira amplement... Pour notre information, la commande apt gère les dépendances intelligemment.

Hors ligne

#9 12-12-2020 11:17:46

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [RESOLU] Epson EcoTank ET-14000

@èfpé donc du coup je suppose que pour Debian c'est lsb-base qui satisfait la dépendance du paquet
vu que tu as viré la ligne concernant les dépendances du fichier control , lsb-base doit être un paquet essentiel et toujours installé par défaut
j'ai bon ?

Dernière modification par Croutons (12-12-2020 11:51:25)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#10 13-12-2020 02:54:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RESOLU] Epson EcoTank ET-14000

Bon{soir,ne nuit,jour},

Croutons a écrit :

je suppose que pour Debian c'est lsb-base qui satisfait la dépendance du paquet vu que tu as viré la ligne concernant les dépendances du fichier control,


Uniquement pour pouvoir l'installer... mais lsb-base ne remplace pas lsb-printing, cf. wiki.debian.org.
C'est bon pour les prérequis par contre le répertoire d'installation appartient au user et non à root :

#on corrige
chown -Rv root:root /opt/epson-inkjet-printer-201311w/

systemctl restart cups

#on vérifie
ls -lhd $(dpkg -L epson-inkjet-printer-201311w)


Et hop, CUPS qui râlait un peu, ne râlera plus, mais cela ne réglera pas le problème et j'exécuterais :

ln -sv /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3

'/lib64/ld-lsb-x86-64.so.3' -> '/lib64/ld-linux-x86-64.so.2'


Note : sur Ubuntu et dérivées, ce lien symbolique est créé par le script postinst du paquet lsb-core.
Sans matériel, je ne peux pas affirmer, mais il semble que ce bogue est d'actualité, sur une Debian.

Dernière modification par èfpé (18-03-2021 12:54:42)

Hors ligne

Pied de page des forums